﻿--[[



 ################################################
 #                                              #
 #              Script Criado Por               #
 #           FACEBOOK.COM/AIRNEWSCR             #
 #                                              #
 #                                              #
 ################################################



--]]
function setCargo ( player )
    if player then
        acc = getPlayerAccount ( player )
        if isGuestAccount ( acc ) then return end
        if isObjectInACLGroup("user."..getAccountName(getPlayerAccount(player)), aclGetGroup("Policial")) then
            setElementData ( player, "Policia", true )
        else
            setElementData ( player, "Policia", false )
        end		
    end
end

setTimer(
function()
	for i, pl in pairs(getElementsByType("player")) do
		if pl ~= (false or nil) then
			setCargo(pl)
		end
	end
end,
3000,0)

--------------------------------------------------------------------------------------------

local InteriorID = 0
local DimensaoID = 0
local BlipSemAssaltoID = 17
local BlipAssaltoEmAndamento = 20
local ValorDoRoubo = 3000
local TempoDoAssalto = 60000

local MINUTOS_RECUPERAR = 15
local TEMPO_ASSALTO_FINAL = MINUTOS_RECUPERAR * 60000

local eX, eY, eZ = 1313.049, -897.789, 39.578
local sX, sY, sZ = 1312.92, -895.741, 39.578

local SairX, SairY, SairZ, SairRot = 1312.894, -899.004, 39.578, 180
local EntrX, EntrY, EntrZ, EntrRot = 1312.672, -894.435, 39.578, 0

local AssaltoX, AssaltoY, AssaltoZ = 1317.487, -894.244, 39.578

local AtendID, AtendX, AtendY, AtendZ, AtendRot = 155, 1318.785, -896.243, 39.578, 2.217

local Rot_z_Roubo = AtendRot + 180

local LetraParaMarkers = "f"
local Roubo_Recente_CasasBahia = false

--------------------------------------------------------------------------------------------

local Entrada_CasasBahia = createMarker ( eX, eY, eZ -1, "cylinder", 1.2, 20, 70, 230, 95 )
local BlipEntrada_CasasBahia = createBlipAttachedTo ( Entrada_CasasBahia, BlipSemAssaltoID )
setBlipVisibleDistance( BlipEntrada_CasasBahia, 150 )

--------------------------------------------------------------------------------------------

local Saida_CasasBahia = createMarker ( sX, sY, sZ -1, "cylinder", 1.2, 20, 70, 230, 95 )
setElementInterior ( Saida_CasasBahia, InteriorID )
setElementDimension ( Saida_CasasBahia, DimensaoID )

--------------------------------------------------------------------------------------------

local EmAssaltoBlip_CasasBahia = createBlipAttachedTo ( Entrada_CasasBahia, BlipAssaltoEmAndamento )
setElementVisibleTo ( EmAssaltoBlip_CasasBahia, root, false )

--------------------------------------------------------------------------------------------

local Dentro_Assalto_CasasBahia = createMarker ( AssaltoX, AssaltoY, AssaltoZ -1, "cylinder", 1.2, 20, 70, 230, 95 )
setElementInterior ( Dentro_Assalto_CasasBahia, InteriorID )
setElementDimension ( Dentro_Assalto_CasasBahia, DimensaoID )

local Atendente_CasasBahia = createPed ( AtendID, AtendX, AtendY, AtendZ, AtendRot )
setElementInterior ( Atendente_CasasBahia, InteriorID )
setElementDimension ( Atendente_CasasBahia, DimensaoID )
setElementFrozen ( Atendente_CasasBahia, true )

function RespawnDoAtendente ()
    if isPedDead ( Atendente_CasasBahia ) then
        setTimer(function()
            destroyElement (Atendente_CasasBahia)
            Atendente_CasasBahia = createPed ( AtendID, AtendX, AtendY, AtendZ, AtendRot )
            setElementInterior ( Atendente_CasasBahia, InteriorID )
            setElementDimension ( Atendente_CasasBahia, DimensaoID )
            setElementFrozen ( Atendente_CasasBahia, true )
        end,5000,1,thePlayer)
    end
end
addEventHandler( "onPedWasted", getRootElement(), RespawnDoAtendente )

--------------------------------------------------------------------------------------------

function Roubar_CasasBahia ( thePlayer, matchingDimension )
    if isElementWithinMarker ( thePlayer, Dentro_Assalto_CasasBahia ) then
        local wl = getPlayerWantedLevel ( thePlayer )
        local arma = getPedWeapon ( thePlayer )
    	unbindKey ( thePlayer, LetraParaMarkers, "down", Roubar_CasasBahia )                                  -- Remover Bind do Assalto
        exports.Scripts_OnMarkerMsgs_:delete (thePlayer)                                                                                 -- Deletar Mensagem no Meio da Tela
    	if getElementData ( thePlayer, "Policia" ) == true then
    	    return exports.Scripts_Textos:createNewDxMessage ( 'Você é um Policial e não Pode Assaltar Lojas', thePlayer, 255, 255, 255)
    	end
    	if arma == 0 or arma == 1 or arma == 2 or arma == 3 or arma == 4 or arma == 5 or arma == 6 or arma == 7 or arma == 8 or arma == 9 or arma == 16 or arma == 17 or arma == 18 or arma == 39 or arma == 41 or arma == 42 or arma == 43 or arma == 10 or arma == 11 or arma == 12 or arma == 14 or arma == 15 or arma == 44 or arma == 45 or arma == 46 or arma == 40 then
    	    return exports.BVB_Textos:createNewDxMessage ( 'Você Precisa de uma Arma de Fogo para Assaltar Essa Loja!', thePlayer, 255, 255, 255)
    	end
    	if Roubo_Recente_CasasBahia == false then
		    setElementRotation ( thePlayer, 0, 0, Rot_z_Roubo )
    	    setPedAnimation ( thePlayer, "SHOP", "SHP_Gun_Aim", -1, true, false, true )                                 -- Fazer a Animação de Assalto ( Jogador )
    	    setPedAnimation ( Atendente_CasasBahia, "SHOP", "SHP_Rob_GiveCash", -1, true, false, true )                  -- Fazer a Animação de Se Render ( BOT )
	        setTimer(function()
	            setPedAnimation ( thePlayer )
	            setPedAnimation ( Atendente_CasasBahia, "SHOP", "SHP_Rob_HandsUp", -1, true, false, true )                   -- Entregar o Dinheiro ( BOT )
	        end,4000,1,thePlayer)
        if wl < 6 then
	        setPlayerWantedLevel ( thePlayer, wl+1 )                                                                  	     -- Setar +1 Level de Procurado ( Jogador )
    	end
    	triggerClientEvent ( root, "AirNew>LigarAlarme", root, thePlayer )                                             -- Disparar o Alarme
        exports.BVB_Textos:createNewDxMessage ( 'Aguarde 60 Segundos & Você podera Sair da Loja. A Policia Foi Notificada Sobre o Assalto!', thePlayer, 255, 255, 255)
    	setElementData ( thePlayer, "AirNewSCR_Roubo_CasasBahia", true )                            -- setElementData "RouboEmAndamento" ( Jogador ) True
    	Roubo_Recente_CasasBahia = true                                                                                                                      -- Roubo_Recente_CasasBahia = true
    	    setTimer(function()
    	        setElementData ( thePlayer, "AirNewSCR_Roubo_CasasBahia", false )                                             -- setElementData "RouboEmAndamento" ( Jogador ) False
    	        setPedAnimation ( Atendente_CasasBahia )                                                                     -- Remover a Animação ( BOT )
    	        --givePlayerMoney ( thePlayer, ValorDoRoubo )                                                                 -- Dar Dinheiro ( Jogador )
    	        triggerClientEvent ( "AirNewSCR_ADD_DinheiroSujo_Server", thePlayer, ValorDoRoubo )
				exports.BVB_Textos:createNewDxMessage ( "Você assaltou a Loja, Agora converta o Dinheiro Roubado (Sujo) para Dinheiro Honesto (Boneco Azul no Mapa F11)!", thePlayer, 255, 255, 255)
			end,TempoDoAssalto,1,thePlayer)
		    
			setTimer(function()
    	        Roubo_Recente_CasasBahia = false
    	    end,TempoDoAssalto+TEMPO_ASSALTO_FINAL,1,thePlayer)
			
    	for i, player in ipairs(getElementsByType("player")) do
            local uj = getElementData(player,"Policia") or false
            if type(uj) == "boolean" then
                if uj == true then
    	            NickName = string.gsub(getPlayerName(thePlayer), "#%x%x%x%x%x%x", "")
                    exports.Scripts_Textos:createNewDxMessage ( "O Jogador "..NickName.." Esta Assaltando uma Loja em Los Santos, Siga o Icone Vermelho no Mapa", player, 255, 255, 255)
    	            setElementVisibleTo ( EmAssaltoBlip_CasasBahia, player, true )
    	            setTimer ( function() setElementVisibleTo ( EmAssaltoBlip_CasasBahia, player, false ) end, 120000, 1, thePlayer )
    	        end
    	    end
    	end
    	else
    	    exports.BVB_Textos:createNewDxMessage ( 'Essa Loja ja foi Roubada Recentemente!', thePlayer, 255, 255, 255)
        end
    end
end

function emarker(marker,md)
	if (md) then
		if marker == Dentro_Assalto_CasasBahia then
			bindKey ( source, LetraParaMarkers, "down", Roubar_CasasBahia )
			exports.BVB_MsgsMarker:create(source,"Aperte 'F' Parar Efetuar o Assalto") 		
		elseif marker == Entrada_CasasBahia then
		    if getElementType ( source ) == "vehicle" then return end
		    if isPedInVehicle ( source ) then return end
		    setTimer ( setElementInterior, 400, 1, source, InteriorID )
		    setTimer ( setElementDimension, 400, 1, source, DimensaoID )
		    setTimer ( setElementPosition, 400, 1, source, EntrX, EntrY, EntrZ )
		    setTimer ( setElementRotation, 600, 1, source, 0, 0, EntrRot )
		    fadeCamera ( source, false, 0.1, 0, 0, 0 )   
		    setTimer ( fadeCamera, 600, 1, source , true, 0.5 )
		    setTimer ( setCameraTarget, 600, 1, source )
            setElementData (source, "Entrada_AssaltoLoja", "Casas_Bahia" )
		elseif marker == Saida_CasasBahia then
            if getElementType ( source ) == "vehicle" then return end
            if isPedInVehicle ( source ) then return end
            if not getElementData (source, "AirNewSCR_Roubo_CasasBahia" ) == true then
                setTimer ( setElementInterior, 400, 1, source, 0 )
                setTimer ( setElementDimension, 400, 1, source, 0 )
				if getElementData ( source, "Entrada_AssaltoLoja" ) == "Casas_Bahia" then
                    setTimer ( setElementPosition, 400, 1, source, SairX, SairY, SairZ )
                    setTimer ( setElementRotation, 400, 1, source, 0, 0, SairRot )
				end
				fadeCamera ( source, false, 0.1, 0, 0, 0 )   
				setTimer ( fadeCamera, 600, 1, source , true, 0.5 )
				setTimer ( setCameraTarget, 600, 1, source )
            else
                exports.BVB_Textos:createNewDxMessage ( 'Aguarde o Assalto Terminar para Sair da Loja', source, 255, 255, 255)
            end
		end
    end	
end
addEventHandler ( "onPlayerMarkerHit", getRootElement(), emarker )

function lmarker(marker,md)
	if (md) then
		if marker == Dentro_Assalto_CasasBahia then
			unbindKey ( source, LetraParaMarkers, "down", Roubar_CasasBahia )
			exports.BVB_MsgsMarker:delete(source)
		end
    end
end
addEventHandler("onPlayerMarkerLeave",getRootElement(),lmarker)

--------------------------------------------------------------------------------------------

function SaveCasasBahiaEntrada(conta)
	if conta then
		local source = getAccountPlayer(conta)
		local emp = getElementData(source,"Entrada_AssaltoLoja" ) or false
		setAccountData (conta, "Entrada_AssaltoLoja",emp)
	end	
end

function LoadCasasBahiaEntrada(conta)
	if not (isGuestAccount (conta)) then
		if (conta) then	
			local source = getAccountPlayer(conta)	
			local emp = getAccountData(conta,"Entrada_AssaltoLoja") or false
			setElementData (source, "Entrada_AssaltoLoja", emp)
		end
	end	
end

--------------------------------------------------------------------------------------------

addEventHandler("onPlayerLogin", root,
  function( _, acc )
	setTimer(LoadCasasBahiaEntrada,50,1,acc)
  end
)

function IniciarScriptTeleCasasBahia ( res )
	if res == getThisResource() then
		for i, player in ipairs(getElementsByType("player")) do
			local acc = getPlayerAccount(player)
			if not isGuestAccount(acc) then
				LoadCasasBahiaEntrada(acc)
			end
		end
	end
end
addEventHandler ( "onResourceStart", getRootElement(), IniciarScriptTeleCasasBahia )

function DesligarScriptTeleCasasBahia ( res )
    if res == getThisResource() then
		for i, player in ipairs(getElementsByType("player")) do
			local acc = getPlayerAccount(player)
			if not isGuestAccount(acc) then
				SaveCasasBahiaEntrada(acc)
			end
		end
	end
end 
addEventHandler ( "onResourceStop", getRootElement(), DesligarScriptTeleCasasBahia )

function SairScriptTeleCasasBahia ( quitType )
	local acc = getPlayerAccount(source)
	if not (isGuestAccount (acc)) then
		if acc then
			SaveCasasBahiaEntrada(acc)
		end
	end
end
addEventHandler ( "onPlayerQuit", getRootElement(), SairScriptTeleCasasBahia )

--------------------------------------------------------------------------------------------